ENV(1)

NOM
env - Exécuter un programme dans un environnement modifié

SYNOPSIS
env [OPTION]... [-] [NOM=VALEUR]... [COMMANDE [PARAM]...]

DESCRIPTION

Initialiser chaque NOM à la VALEUR dans l'environnement et exécuter la COMMANDE.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-i, --ignore-environment
    débuter avec un environnement vide

-0, --null
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

-u, --unset=NOM
    retirer la VARIABLE de l'environnement

-C, --chdir=RÉP
    passer au répertoire de travail RÉP

-S, --split-string=S
    traite et divise S en arguments séparés ; utilisé pour passer plusieurs arguments sur des lignes shebang

--block-size=TAILLE
    bloquer l'émission de signaux SIG sur COMMANDE

-s, --signal=SIGNAL
    réinitialise la gestion des signaux aux valeurs par défaut

--ignore-signal[=SIG]
    paramétrer la gestion du/des signaux SIG pour qu'elle ne fasse rien

--list-signal-handling
    lister la gestion des signaux non par défaut sur la sortie d’erreur

-v, --debug
    afficher des informations bavardes pour chaque étape en cours

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Un simple « - » implique -i. Si aucune COMMANDE n'est fournie, afficher l’environnement résultant.

SIG peut être le nom d'un signal comme « PIPE », ou le numéro d'un signal comme « 13 ». Sans SIG, tous les signaux connus sont inclus. Plusieurs signaux peuvent être séparés par des virgules.

OPTIONS

  Utilisation de -S/--split-string dans des scripts
L'option -S permet de spécifier plusieurs paramètres dans un script. L’exécution d’un script nommé 1.pl contenant la première ligne suivante :

    #!/usr/bin/env -S perl -w -T
    ...

exécutera perl -w -T 1.pl .

Sans paramètre « -S », le script échouera probablement avec :

    /usr/bin/env: 'perl -w -T': Aucun fichier ou répertoire de ce type

Voir la documentation complète pour plus de détails.

  Utilisation de --default-signal[=SIG]
Cette option permet de demander au gestionnaire de signaux son action par défaut, ce qui n'est pas possible en utilisant la commande trap d'un interpréteur traditionnel. L'exemple suivant s'assure que seq se terminera avec SIGPIPE quelle que soit la manière dont le signal est géré lors du traitement du lancement de la commande.

    sh -c 'env --default-signal=PIPE seq inf | head -n1'

NOTES
Les pages de exec(3p) de POSIX disent :
    "de nombreuses applications supposent, à tort, qu'elles démarrent avec certains signaux paramétrés sur l'action par défaut et/ou débloqués... Il vaut donc mieux ne pas bloquer ou ignorer des signaux d'exécutables sans raison particulière, et surtout ne pas bloquer les signaux des exécutables de programmes de votre choix (sans étroite coopération)."

AUTEUR
Écrit par Richard Mlynarik, David MacKenzie et Assaf Gordon.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
sigaction(2), sigprocmask(2), signal(7)

Documentation complète : <https://www.gnu.org/software/coreutils/env>
aussi disponible localement à l’aide de la commande : info '(coreutils) env invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas Haller <nicolas@boiteameuh.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.